Since the mid 15.x.x releases of twisted, upstream changed from the
split releases twisted-{core,names,web,...} to a single twisted package
release. Our gentoo tree has been behind with upstream releases since
then partially due to this change and the work involved in the

I am pleased to inform you that I have now completed the new twisted
package ebuilds and updated/additional/new dependencies.  There are now
dev-python/twisted-16.2.0 and 16.3.2 releases in the gentoo tree and I
am working on 16.4.1 to get the tests working before adding it to the
tree.  I have been doing testing of the 16.2 and 16.3 releases in my
buildbot-0.9.0 (day job) work without any issues.

Currently I have added dev-util/buildbot, dev-util/buildbot-worker,
www-servers/tornado, dev-python/autobahn, dev-python/txrequests
ebuilds which have ||() dependencies on either the old split twisted
or new twisted single pkg dependencies.

Since there are no longer any split twisted-* pkg releases, any new
pkgs/ebuilds should be made with either the new dev-python/twisted only
or ||() twisted pkgs dependencies as the maintainer sees fit. You
should also list the new dev-python/twisted pkg first in any ||() deps
you add.  I have come across a portage bug where the resolver was not
able to solve a conflict between the old split pkgs and the new single
pkg where it should have been able to.  This was partially due to having
the old split twisted pkgs listed as the first (left) entry in the ||().

You should not introduce new pkgs and hopefully new ebuild versions of
existing pkgs that list only the old split twisted pkgs as dependencies.
I am sure that eventually the old split releases will be tree-cleaned
at some future point.

Thank you
Brian Dolbec <dolsen>

Attachment: pgpxfrk_UJPrK.pgp
Description: OpenPGP digital signature

Reply via email to